com.sun.jna.platform.win32

## Interface Wtsapi32

All Superinterfaces:
  AltCallingConvention, Library, StdCall, StdCallLibrary

    public interface Wtsapi32
    extends StdCallLibrary

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

`StdCallLibrary.StdCallCallback`

### Nested classes/interfaces inherited from interface com.sun.jna.Library

`Library.Handler`

### Field Summary

Fields
`static Wtsapi32` `INSTANCE`
`static int` `NOTIFY_FOR_ALL_SESSIONS`
`static int` `NOTIFY_FOR_THIS_SESSION`
`static int` `WTS_CONSOLE_CONNECT` The session identified by lParam was connected to the console terminal or RemoteFX session.
`static int` `WTS_CONSOLE_DISCONNECT` The session identified by lParam was disconnected from the console terminal or RemoteFX session.
`static int` `WTS_REMOTE_CONNECT` The session identified by lParam was connected to the remote terminal.
`static int` `WTS_REMOTE_DISCONNECT` The session identified by lParam was disconnected from the remote terminal.
`static int` `WTS_SESSION_LOCK` The session identified by lParam has been locked.
`static int` `WTS_SESSION_LOGOFF` A user has logged off the session identified by lParam.
`static int` `WTS_SESSION_LOGON` A user has logged on to the session identified by lParam.
`static int` `WTS_SESSION_REMOTE_CONTROL` The session identified by lParam has changed its remote controlled status.
`static int` `WTS_SESSION_UNLOCK` The session identified by lParam has been unlocked.

### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

`FUNCTION_MAPPER, STDCALL_CONVENTION`

### Fields inherited from interface com.sun.jna.Library

`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `WTSRegisterSessionNotification(WinDef.HWND hWnd, int dwFlags)` Registers the specified window to receive session change notifications.
`boolean` `WTSUnRegisterSessionNotification(WinDef.HWND hWnd)` Unregisters the specified window so that it receives no further session change notifications.

### Field Detail

#### INSTANCE

    static final Wtsapi32 INSTANCE

#### NOTIFY_FOR_ALL_SESSIONS

    static final int NOTIFY_FOR_ALL_SESSIONS

See Also:
  Constant Field Values

#### NOTIFY_FOR_THIS_SESSION

    static final int NOTIFY_FOR_THIS_SESSION

See Also:
  Constant Field Values

#### WTS_CONSOLE_CONNECT

    static final int WTS_CONSOLE_CONNECT

The session identified by lParam was connected to the console terminal or RemoteFX session.

See Also:
  Constant Field Values

#### WTS_CONSOLE_DISCONNECT

    static final int WTS_CONSOLE_DISCONNECT

The session identified by lParam was disconnected from the console terminal or RemoteFX session.

See Also:
  Constant Field Values

#### WTS_REMOTE_CONNECT

    static final int WTS_REMOTE_CONNECT

The session identified by lParam was connected to the remote terminal.

See Also:
  Constant Field Values

#### WTS_REMOTE_DISCONNECT

    static final int WTS_REMOTE_DISCONNECT

The session identified by lParam was disconnected from the remote terminal.

See Also:
  Constant Field Values

#### WTS_SESSION_LOGON

    static final int WTS_SESSION_LOGON

A user has logged on to the session identified by lParam.

See Also:
  Constant Field Values

#### WTS_SESSION_LOGOFF

    static final int WTS_SESSION_LOGOFF

A user has logged off the session identified by lParam.

See Also:
  Constant Field Values

#### WTS_SESSION_LOCK

    static final int WTS_SESSION_LOCK

The session identified by lParam has been locked.

See Also:
  Constant Field Values

#### WTS_SESSION_UNLOCK

    static final int WTS_SESSION_UNLOCK

The session identified by lParam has been unlocked.

See Also:
  Constant Field Values

#### WTS_SESSION_REMOTE_CONTROL

    static final int WTS_SESSION_REMOTE_CONTROL

The session identified by lParam has changed its remote controlled status. To determine the status, call GetSystemMetrics and check the SM_REMOTECONTROL metric.

See Also:
  Constant Field Values

### Method Detail

#### WTSRegisterSessionNotification

    boolean WTSRegisterSessionNotification(WinDef.HWND hWnd,
                                           int dwFlags)

Registers the specified window to receive session change notifications.

Parameters:
  `hWnd` - [in] Handle of the window to receive session change notifications.
  `dwFlags` - [in] Specifies which session notifications are to be received. This parameter can be one of the following values.
Returns:
  If the function succeeds, the return value is TRUE. Otherwise, it is FALSE. To get extended error information, call GetLastError.

#### WTSUnRegisterSessionNotification

    boolean WTSUnRegisterSessionNotification(WinDef.HWND hWnd)

Unregisters the specified window so that it receives no further session change notifications.

Parameters:
  `hWnd` - [in] Handle of the window to be unregistered from receiving session notifications.
Returns:
  If the function succeeds, the return value is TRUE. Otherwise, it is FALSE. To get extended error information, call GetLastError.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.